Skip to main content
PATCH
Update push device registration

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Headers

AppCode
string
required

Application code

Path Parameters

pushRegId
string
required

Registration identifier of a particular push device registration

Body

application/json

Partial instance model

isPrimary
boolean

Set to true if this device is a primary device of a user among other devices

additionalData
object

Custom attributes set for a device

systemData
PushApiInstanceSystemData · object

Set of push-specific attributes

Response

OK

registrationId
string
required
read-only

Push registration id of the instance

applicationId
string
required
read-only

String id of the application that the instance belongs to

isPrimary
boolean

Set to true if this device is a primary device of a user among other devices

additionalData
object

Custom attributes set for a device

systemData
PushApiInstanceSystemData · object

Set of push-specific attributes